Package com.massivecraft.factions.zcore.util

## Class UUIDFetcher

- java.lang.Object
- - com.massivecraft.factions.zcore.util.UUIDFetcher

All Implemented Interfaces:
  `java.util.concurrent.Callable<java.util.Map<java.lang.String,​java.util.UUID>>`

    public class UUIDFetcher
    extends java.lang.Object
    implements java.util.concurrent.Callable<java.util.Map<java.lang.String,​java.util.UUID>>

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`UUIDFetcher​(java.util.List<java.lang.String> names)` |
`UUIDFetcher​(java.util.List<java.lang.String> names, boolean rateLimiting)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.Map<java.lang.String,​java.util.UUID>` | `call()` |
`static java.util.UUID` | `fromBytes​(byte[] array)` |
`static java.util.UUID` | `getUUIDOf​(java.lang.String name)` |
`static byte[]` | `toBytes​(java.util.UUID uuid)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UUIDFetcher

    public UUIDFetcher​(java.util.List<java.lang.String> names,
                       boolean rateLimiting)

#### UUIDFetcher

    public UUIDFetcher​(java.util.List<java.lang.String> names)

### Method Detail

#### toBytes

    public static byte[] toBytes​(java.util.UUID uuid)

#### fromBytes

    public static java.util.UUID fromBytes​(byte[] array)

#### getUUIDOf

    public static java.util.UUID getUUIDOf​(java.lang.String name)
                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### call

    public java.util.Map<java.lang.String,​java.util.UUID> call()
                                                              throws java.lang.Exception

Specified by:
  `call` in interface `java.util.concurrent.Callable<java.util.Map<java.lang.String,​java.util.UUID>>`
Throws:
  `java.lang.Exception`